Bug 165910 - Review Request: sylpheed-claws-plugins - Additional plugins for sylpheed-claws
Review Request: sylpheed-claws-plugins - Additional plugins for sylpheed-claws
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
David Lawrence
http://claws.sylpheed.org
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-13 20:05 EDT by Andreas Bierfert
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-20 19:04:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2005-08-13 20:05:49 EDT
Spec Name or Url: http://fedora.lowlatency.de/review/sylpheed-claws-plugins.spec
SRPM Name or Url: http://fedora.lowlatency.de/review/sylpheed-claws-plugins-1.9.13-1.src.rpm
Description: 
Additional plugins for sylpheed-claws
Comment 1 Michael Schwendt 2005-08-16 18:07:44 EDT
> BuildRequires: synce-devel

I believe this is a dead end on x86_64, where it doesn't build: bug 148003


You can use the %setup macro for simpler tarball extraction into
rpm build dir. This would also clean up the %doc statements:

--- sylpheed-claws-plugins.spec.orig    2005-08-14 01:55:44.000000000 +0200
+++ sylpheed-claws-plugins.spec 2005-08-17 00:03:08.000000000 +0200
@@ -104,13 +104,9 @@
 Evolution or Outlook.
 
 %prep
-%{__mkdir_p} %{_builddir}/%{name}-%{version}/
-cd %{_builddir}/%{name}-%{version}/
-%{__tar} xzvf %{SOURCE0}
+%setup -q -c
 
 %build
-cd %{_builddir}/%{name}-%{version}
-
 # cachesaver
 cd cachesaver-0.5
 %configure --disable-static --disable-dependency-tracking
@@ -154,8 +150,6 @@
 %install
 rm -rf $RPM_BUILD_ROOT
 
-cd %{_builddir}/%{name}-%{version}
-
 # cachesaver
 cd cachesaver-0.5
 %{__make} install DESTDIR=$RPM_BUILD_ROOT
@@ -195,70 +189,70 @@
 
 %files
 %defattr(-,root,root,-)
-%doc %{name}-%{version}/README
+%doc README
 
 %files cachesaver
 %defattr(-,root,root,-)
-%doc %{name}-%{version}/cachesaver-0.5/AUTHORS
-%doc %{name}-%{version}/cachesaver-0.5/ChangeLog
-%doc %{name}-%{version}/cachesaver-0.5/COPYING
+%doc cachesaver-0.5/AUTHORS
+%doc cachesaver-0.5/ChangeLog
+%doc cachesaver-0.5/COPYING
 %{_libdir}/sylpheed-claws/plugins/cachesaver*
 
 %files etpan-privacy
 %defattr(-,root,root,-)
-%doc %{name}-%{version}/etpan-privacy-0.9/AUTHORS
-%doc %{name}-%{version}/etpan-privacy-0.9/ChangeLog
-%doc %{name}-%{version}/etpan-privacy-0.9/COPYING
-%doc %{name}-%{version}/etpan-privacy-0.9/README
+%doc etpan-privacy-0.9/AUTHORS
+%doc etpan-privacy-0.9/ChangeLog
+%doc etpan-privacy-0.9/COPYING
+%doc etpan-privacy-0.9/README
 %{_libdir}/sylpheed-claws/plugins/etpan-privacy.so
 
 %files fetchinfo
 %defattr(-,root,root,-)
-%doc %{name}-%{version}/fetchinfo-plugin-0.4.6/ChangeLog
-%doc %{name}-%{version}/fetchinfo-plugin-0.4.6/COPYING
-%doc %{name}-%{version}/fetchinfo-plugin-0.4.6/README
+%doc fetchinfo-plugin-0.4.6/ChangeLog
+%doc fetchinfo-plugin-0.4.6/COPYING
+%doc fetchinfo-plugin-0.4.6/README
 %{_libdir}/sylpheed-claws/plugins/fetchinfo*
 
 %files maildir
 %defattr(-,root,root,-)
-%doc %{name}-%{version}/maildir-0.8/AUTHORS
-%doc %{name}-%{version}/maildir-0.8/ChangeLog
-%doc %{name}-%{version}/maildir-0.8/COPYING
-%doc %{name}-%{version}/maildir-0.8/README
-%doc %{name}-%{version}/maildir-0.8/doc/README.xml
+%doc maildir-0.8/AUTHORS
+%doc maildir-0.8/ChangeLog
+%doc maildir-0.8/COPYING
+%doc maildir-0.8/README
+%doc maildir-0.8/doc/README.xml
 %{_libdir}/sylpheed-claws/plugins/maildir*
 
 %files mailmbox
 %defattr(-,root,root,-)
-%doc %{name}-%{version}/mailmbox-1.2/AUTHORS
-%doc %{name}-%{version}/mailmbox-1.2/ChangeLog
-%doc %{name}-%{version}/mailmbox-1.2/COPYING
-%doc %{name}-%{version}/mailmbox-1.2/README
+%doc mailmbox-1.2/AUTHORS
+%doc mailmbox-1.2/ChangeLog
+%doc mailmbox-1.2/COPYING
+%doc mailmbox-1.2/README
 %{_libdir}/sylpheed-claws/plugins/mailmbox*
 
 %files perl
 %defattr(-,root,root,-)
-%doc %{name}-%{version}/perl_plugin-0.3/AUTHORS
-%doc %{name}-%{version}/perl_plugin-0.3/ChangeLog
-%doc %{name}-%{version}/perl_plugin-0.3/COPYING
-%doc %{name}-%{version}/perl_plugin-0.3/README
-%doc %{name}-%{version}/perl_plugin-0.3/sc_perl.pod
+%doc perl_plugin-0.3/AUTHORS
+%doc perl_plugin-0.3/ChangeLog
+%doc perl_plugin-0.3/COPYING
+%doc perl_plugin-0.3/README
+%doc perl_plugin-0.3/sc_perl.pod
 %{_libdir}/sylpheed-claws/plugins/perl_plugin.so
 
 %files synce
 %defattr(-,root,root,-)
-%doc %{name}-%{version}/synce_plugin-0.2/AUTHORS
-%doc %{name}-%{version}/synce_plugin-0.2/ChangeLog
-%doc %{name}-%{version}/synce_plugin-0.2/COPYING
-%doc %{name}-%{version}/synce_plugin-0.2/README
+%doc synce_plugin-0.2/AUTHORS
+%doc synce_plugin-0.2/ChangeLog
+%doc synce_plugin-0.2/COPYING
+%doc synce_plugin-0.2/README
 %{_libdir}/sylpheed-claws/plugins/synce*
 
 %files vcalendar
 %defattr(-,root,root,-)
-%doc %{name}-%{version}/vcalendar-1.6/AUTHORS
-%doc %{name}-%{version}/vcalendar-1.6/ChangeLog
-%doc %{name}-%{version}/vcalendar-1.6/COPYING
-%doc %{name}-%{version}/vcalendar-1.6/README
+%doc vcalendar-1.6/AUTHORS
+%doc vcalendar-1.6/ChangeLog
+%doc vcalendar-1.6/COPYING
+%doc vcalendar-1.6/README
 %{_libdir}/sylpheed-claws/plugins/vcalendar.so
 %{_includedir}/ical.h
 
Comment 2 Andreas Bierfert 2005-08-18 01:43:48 EDT
Thanks for the review. Here is the new version with disabled synce plugin on x86_64.

http://fedora.lowlatency.de/review/sylpheed-claws-plugins-1.9.13-2.src.rpm
http://fedora.lowlatency.de/review/sylpheed-claws-plugins.spec
Comment 3 Michael Schwendt 2005-08-19 17:54:50 EDT
First a few somewhat related findings:

$ strings $(which sylpheed-claws) | grep firefox
mozilla-firefox -remote 'openURL(%s,new-window)'

Since "mozilla-firefox" does not exist in PATH, a better default for 
Sylpheed-claws would be:

  gnome-open '%s'

[...]

I cannot seem to get Sylpheed-claws to verify GPG MIME signatures
automatically in a convenient way. Plugin is loaded, sending signed
mails works. But it only lists the signatures as
"[application/pgp-signature (189 bytes)]" and in the message body
parts list view above/right of the message text box. Only if I select
the text/plain MIME part there, I get the signature verification status
message at the bottom of the window.

[...]

For any attachments (like signatures above or the text/plain part), if I
double-click on them in the MIME Type list, I get:

  execvp: No such file or directory

[...]

Now back to this package:

/usr/include/ical.h in package "sylpheed-claws-plugins-vcalendar" is
an API for libical, which is used in this plugin. Installing it looks
like an upstream mistake and only bears the risk of creating a conflict
with any other package which would provide /usr/include/ical.h

Rest looks good.
Comment 4 Michael Schwendt 2005-08-19 18:04:00 EDT
synce is now orphaned, see /cvs/extras/owners/owners.list revision 1.103
Comment 5 Andreas Bierfert 2005-08-19 18:45:54 EDT
I will look at the sylpheed-claws issues and maybe report the gpg stuff
upstream. As for ical.h: excluded from current release. 

I will take ownership of synce as I am working on multisync packages atm anyway...

Thx for the review.
Comment 6 Michael Schwendt 2005-08-20 07:56:31 EDT
With 'devel', sylpheed-claws needs a rebuild against new GTK+/Cairo ABI change
in Rawhide before this could be built.

Note You need to log in before you can comment on or make changes to this bug.